Bug 177151 - The "Run or Display?" dialog is app-modal!
The "Run or Display?" dialog is app-modal!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-06 13:18 EST by Zack Cerza
Modified: 2015-05-01 00:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (537.40 KB, image/png)
2006-01-06 13:18 EST, Zack Cerza
no flags Details
screenshot, cropped (88.53 KB, image/png)
2006-01-06 14:49 EST, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2006-01-06 13:18:52 EST
Description of problem:
Nautilus' "Run or Display?" dialog is app-modal, meaning until it's dismissed,
the rest of nautilus is unresponsive to any input events.

Version-Release number of selected component (if applicable):
nautilus-2.12.1-6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Make, for example, an HTML file executable
2. Double-click on it
3 Try to manupulate another nautilus window, or the desktop.
  
Additional info:
The file is the index of a user manual found on a CD. I'm not sure why it's
executable...
Comment 1 Zack Cerza 2006-01-06 13:18:52 EST
Created attachment 122885 [details]
screenshot
Comment 2 Zack Cerza 2006-01-06 14:49:11 EST
Created attachment 122889 [details]
screenshot, cropped
Comment 3 Bug Zapper 2008-05-13 22:04:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 lexual 2009-02-24 02:23:13 EST
Reproduced this behaviour with F10.
Same behaviour with something like dialog when copying asking to merge same filename.

Not sure if behaviour is deliberate or not.
I'm guessing this is probably an upstream gnome issue.
Comment 5 Christopher Beland 2009-07-31 14:38:17 EDT
This is still a problem with nautilus-2.26.3-1.fc11.i586.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2010-04-27 07:38:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 06:21:08 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Christopher Beland 2015-05-01 00:05:34 EDT
FTR, this dialog no longer appears.  (Tested with Fedora 19.)

Note You need to log in before you can comment on or make changes to this bug.